IonCube Loader is a software instrument, that is necessary to run files that are encrypted with ionCube PHP Encoder. The aforementioned is an application designed to make PHP code human unreadable, so as to protect it from reverse engineering and illegal usage. Plenty of script-driven apps, particularly discussion forums, content management systems and e-commerce solutions are encrypted with ionCube PHP Encoder, therefore if you obtain a script and you find that ionCube is on the list of website hosting environment requirements, you need to ensure that your website hosting server has the tool pre-installed. While it is not that hard to install it when you have your own server, it is close to impossible to do that on a shared hosting server since the PHP environment should be precompiled and all the clients on the server will be affected.
IonCube in Hosting
IonCube Loader comes with all hosting plans which we supply, so when you need it to set up and run a script application which requires it, you can activate it with a click in the Advanced area of the Hepsia Control Panel. Since you can switch the PHP release which is active for your account in the same section, you will need to enable the instrument for each new version that you set. If you are more experienced, you can take advantage of a php.ini file in a domain or subdomain folder and set the PHP version and the status of ionCube Loader for this particular website only, without affecting the entire account. This way you are able to operate both new and older script applications for multiple sites within the same account - something that you won't be able to do with a lot of other hosting providers available on the market.
IonCube in Semi-dedicated Hosting
Since all of the semi-dedicated server accounts are set up on our advanced cluster platform and ionCube Loader is available on it, you will be able to use any script application that needs the tool in order to function efficiently. With a couple of clicks in your Hepsia website hosting Control Panel you are able to activate or deactivate ionCube for the PHP version that is currently active for the account. Since we support several versions of PHP concurrently, you will need to do this any time you switch to a different version, but if you revert back to a version that you've already used, our system will remember your preference and ionCube Loader will already be activated. When you have a couple of sites in the same account and they require different releases of PHP, you can set up a php.ini file in every single domain folder and with a couple of lines of code you can define both the PHP release plus the status of ionCube no matter what is selected for the web hosting account as a whole.